Suggest developers use -eng builds instead when they lunch -userdebug
This is because -eng provides faster local builds.
(also moving hints to where they are more likely to be seen)
Test: lunch cf_x86_64_phone-userdebug
Fixes: 307753064
Change-Id: I52cf9e9c399dbb3a52c7952f7204a9e567d15c22
diff --git a/envsetup.sh b/envsetup.sh
index e448bd3..7a22840 100644
--- a/envsetup.sh
+++ b/envsetup.sh
@@ -848,15 +848,21 @@
fi
export TARGET_BUILD_TYPE=release
+ [[ -n "${ANDROID_QUIET_BUILD:-}" ]] || echo
+
+ set_stuff_for_environment
+ [[ -n "${ANDROID_QUIET_BUILD:-}" ]] || printconfig
+
+ if [ "${TARGET_BUILD_VARIANT}" = "userdebug" ] && [[ -z "${ANDROID_QUIET_BUILD}" ]]; then
+ echo
+ echo "Want FASTER LOCAL BUILDS? Use -eng instead of -userdebug (however for" \
+ "performance benchmarking continue to use userdebug)"
+ fi
if [ $used_lunch_menu -eq 1 ]; then
echo
echo "Hint: next time you can simply run 'lunch $selection'"
fi
- [[ -n "${ANDROID_QUIET_BUILD:-}" ]] || echo
-
- set_stuff_for_environment
- [[ -n "${ANDROID_QUIET_BUILD:-}" ]] || printconfig
destroy_build_var_cache
if [[ -n "${CHECK_MU_CONFIG:-}" ]]; then